/*	OXEGE2.C
**
**	Video display characteristics routines.  
**	Note that most of these routines are highly specific to
**	the Osborne Executive.
*/

#include "a:stdio.h"
#include "b:oxege.h"

/* CARRIAGE RETURN AND LINE FEED */
crl()	
	{
	co( CR );
	co( LF );
	}

/* CURSOR MOVE DOWN */
dwn( lines ) int lines; 
	{
	int count;
	count = 0;
	while( count < lines ) 
	    {
	    co( 22 );
	    count = count+1;
	    }
	}

/* CURSOR MOVE RIGHT */
rgt(columns) int columns; 
	{
	int count;
	count = 0;
	while(count<columns) {
	    co( 12 );
	    count = count+1;
	    }
	}

/* STRING OF BLANK CHARACTERS */
blk(length) int length; 
	{
	int count;
	count = 0;
	while(count < length) 
		{
		co(' ');
	  	count = count+1;
	  	}
	}

/* CLEAR SCREEN */
cls()	
	{
	co( 26 );
	}

/* DIM DISPLAY */
dim()	
	{
	co( ESC );
	co( ')' );
	}

/* BRIGHT DISPLAY */
brt()	
	{
	co( ESC );
	co( '(' );
	}

/* HOME THE CURSOR */
hom()	
	{
	co( 30 );
	}

/* ENTER GRAPHICS MODE */
gra()	
	{
	co( ESC );
	co( 'g' );
	}

/* EXIT GRAPHICS MODE */
grx()	
	{
	co( ESC );
	co( 'G' );
	}

/* INVERSE VIDEO */
inv()	
	{
	co( ESC );
	co( 'j' );
	}

/* END INVERSE VIDEO */
nnv()	
	{
	co( ESC );
	co( 'k' );
	}

/* UNDERLINE */
unl()
	{
	co( ESC );
	co( 108 );
	}

/* END UNDERLINE */
nnl()
	{
	co( ESC );
	co( 109 );
	}

blink()
	{
	co( ESC );
	co( 94 );
	}

bloff()
	{
	co( ESC );
	co( 113 );
	}


	{
	co( ESC );
	co( 109 );
	}

b